//===================
//Map Texture Shaders
//===================
// Sky
textures/twins/ciel
{
	qer_editorimage textures/twins/ciel.tga
	q3map_globaltexture
	q3map_sunExt .88 .72 .46 500 0 60 2 64
	q3map_lightmapFilterRadius 0 32
	q3map_skylight 900 3
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	skyparms env/dd_twins_sky - -
	nopicmip
	nomipmaps

}
textures/twins/ladderclip
{
	qer_editorimage textures/twins/ladderclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.5
}

textures/twins/caulk
{
	qer_editorimage textures/twins/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
}

textures/twins/playerclip
{
	qer_editorimage textures/twins/playerclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm playerclip
	qer_trans 0.3
}

textures/twins/origin
{
	qer_editorimage textures/twins/origin.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm origin
}

textures/twins/flash_rouge
{
	qer_editorimage textures/twins/flash_rouge.tga
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/twins/flash_rouge.tga
	}
}

textures/twins/flash_bleu
{
	qer_editorimage textures/twins/flash_bleu.tga
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/twins/flash_bleu.tga
	}
}

textures/twins/lumiere01
{
	qer_editorimage textures/twins/lumiere01.tga
	surfaceparm nolightmap
	q3map_surfacelight 10000
	{
		map textures/twins/lumiere01.tga
	}
}

textures/twins/fog
{
	qer_editorimage textures/twins/fog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.4
	fogparms ( .8 .8 .8 ) 50000
}

textures/twins/vitre
{
	qer_editorimage textures/twins/vitre.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/twins/vitre.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/twins/grillage
{
	qer_editorimage textures/twins/grillage.tga
	qer_trans .4
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/twins/grillage.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/twins/ecran01
{
	qer_editorimage textures/twins/ecran01.jpg
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		animmap 2 textures/twins/ecran01.jpg textures/twins/ecran01.jpg textures/twins/ecran01.jpg textures/twins/ecran02.jpg
	}
}